package cn.bunny.mvc.controller;

import cn.bunny.mvc.dao.entity.Bill;
import cn.bunny.mvc.service.ThymeleafService;
import io.swagger.v3.oas.annotations.Operation;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.List;

@RequestMapping("thymeleaf")
@Controller
public class ThymeleafController {

    private final ThymeleafService thymeleafService;

    public ThymeleafController(ThymeleafService thymeleafService) {
        this.thymeleafService = thymeleafService;
    }

    @Operation(summary = "查看账单信息")
    @GetMapping("bill")
    public String bill(Model model) {
        List<Bill> billList = thymeleafService.bill();
        model.addAttribute("billList", billList);

        return "thymeleaf/bill";
    }
}
